Name:    createusers
URL:     http://www.lfsp.org
Group:   System Environment/Base
Summary: Adding and removing users in bulk.
Version: 1.3.4
Release: 6.%{mysig}
License: GPL
Source:  %{name}-%{version}.tar.gz
Source1: createusers_GUI-1.3.1
Patch0:  createusers-rhfix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArch: noarch
Requires: /usr/bin/wish

%description
Createusers is designed to be as simple as possible. It is designed with the
assumption that you want all the users set up on one machine to have the same
facilities. For example, it is not designed so that some of your users may have
a personal MySQL database and some may not. This is because when working with
other en-masse user creation tools, I found that such features seemed to get in
the way. Also, createusers is neither fast nor efficient from a programming
point of view. We hope it will be useful, whether you are evaluating Linux or
if you are already using Linux in your organisation.

%prep
%setup -q
%patch0 -p0 -b .rhfix.patch

%build
# fix paths
perl -pi -e "s@/usr/local/lib@%{_libdir}@" scripts/*

%install
# config file
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
cp -p createusers.conf $RPM_BUILD_ROOT/%{_sysconfdir}
# manual pages
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
cp -p man/*.gz $RPM_BUILD_ROOT/%{_mandir}/man1
# libraries
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}
cp -p lib/* $RPM_BUILD_ROOT/%{_libdir}/%{name}
# scripts
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
cp -p scripts/* $RPM_BUILD_ROOT/%{_sbindir}
# remove patch's backups
rm -f $RPM_BUILD_ROOT/%{_sbindir}/*.patch
# Restore dropped GUI
install -m755 %{S:1} $RPM_BUILD_ROOT/%{_sbindir}/createusers_GUI

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING CHANGES INSTALL LICENSE names.sample README SECURITY users.sample
%config(noreplace) %attr(700,root,root) %{_sysconfdir}/createusers.conf
%{_mandir}/man*/*.gz
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_sbindir}/*

%changelog
* Thu Aug 27 2009 Milan Kerslager <kerslage@linux.cz> 1.3.4-5.ker.rhel5
- removeusers: use 'userdel -r' and 'smbpasswd -x'

* Thu Aug 27 2009 Milan Kerslager <kerslage@linux.cz> 1.3.4-4.ker.rhel5
- allow loginnames with dot, ie: rene.huzva
- restore TK GUI (/usr/bin/wish)

* Thu Sep 07 2006 Milan Kerslager <kerslage@linux.cz> 1.3.4-1.ker.rhel4
- initial release
